Subject: Re: bug#40225: 27.0.90; abort with apparent stack explosion in lsp-mode

From: Valtteri Vuorikoski <[email-masked]>
Date: Thu, 10 Feb 2022 11:09:48 +0200

On Thu, Feb 10, 2022 at 08:21:57AM +0100, Lars Ingebrigtsen wrote:
> Valtteri Vuorikoski <[email-masked]> writes:
> 
> > After fiddling with my init.el, the crash seems to have gone away even
> > with stack limit set to 8MB. I can't state the culprit with full
> > certainty, but with ~75% probability it was a function
> > (tab-line-tabs-buffer-list-function) which was getting called on every
> > mouse event.
> 
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
> 
> Are you still seeing this issue in recent Emacs versions?

After simplifying my tab-line-tabs-buffer-list-function the issue went
away and hasn't been seen since.

So with regard to the subject of this issue I think it's fine to close
this. Not having tab-line-mode call tab-line-tabs-buffer-list-function
on pretty much every possible event might be a worthwhile improvement
at some point though (I haven't checked whether things improved in
Emacs 28).

 -Valtteri